/**
 * generated by Xtext
 */
package org.eclipse.smarthome.model.rule.ui.contentassist;

import com.google.inject.Inject;
import java.util.Collection;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.jface.text.contentassist.ICompletionProposal;
import org.eclipse.smarthome.core.items.Item;
import org.eclipse.smarthome.core.items.ItemRegistry;
import org.eclipse.smarthome.core.types.Command;
import org.eclipse.smarthome.core.types.State;
import org.eclipse.smarthome.model.rule.ui.contentassist.AbstractRulesProposalProvider;
import org.eclipse.smarthome.model.rule.ui.internal.RuleModelUIActivator;
import org.eclipse.smarthome.model.script.scoping.StateAndCommandProvider;
import org.eclipse.xtext.RuleCall;
import org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext;
import org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor;

/**
 * see http://www.eclipse.org/Xtext/documentation.html#contentAssist on how to customize content assistant
 */
@SuppressWarnings("all")
public class RulesProposalProvider extends AbstractRulesProposalProvider {
  @Inject
  private StateAndCommandProvider stateAndCommandProvider;
  
  @Override
  public void complete_ItemName(final EObject model, final RuleCall ruleCall, final ContentAssistContext context, final ICompletionProposalAcceptor acceptor) {
    super.complete_ItemName(model, ruleCall, context, acceptor);
    final ItemRegistry itemRegistry = RuleModelUIActivator.itemRegistryTracker.getService();
    Collection<Item> _items = itemRegistry.getItems();
    for (final Item item : _items) {
      String _name = item.getName();
      String _prefix = context.getPrefix();
      boolean _startsWith = _name.startsWith(_prefix);
      if (_startsWith) {
        String _name_1 = item.getName();
        ICompletionProposal _createCompletionProposal = this.createCompletionProposal(_name_1, context);
        acceptor.accept(_createCompletionProposal);
      }
    }
  }
  
  @Override
  public void complete_ValidState(final EObject model, final RuleCall ruleCall, final ContentAssistContext context, final ICompletionProposalAcceptor acceptor) {
    super.complete_ValidState(model, ruleCall, context, acceptor);
    Iterable<State> _allStates = this.stateAndCommandProvider.getAllStates();
    for (final State state : _allStates) {
      String _string = state.toString();
      String _prefix = context.getPrefix();
      boolean _startsWith = _string.startsWith(_prefix);
      if (_startsWith) {
        String _string_1 = state.toString();
        ICompletionProposal _createCompletionProposal = this.createCompletionProposal(_string_1, context);
        acceptor.accept(_createCompletionProposal);
      }
    }
  }
  
  @Override
  public void complete_ValidCommand(final EObject model, final RuleCall ruleCall, final ContentAssistContext context, final ICompletionProposalAcceptor acceptor) {
    super.complete_ValidState(model, ruleCall, context, acceptor);
    Iterable<Command> _allCommands = this.stateAndCommandProvider.getAllCommands();
    for (final Command command : _allCommands) {
      String _string = command.toString();
      String _prefix = context.getPrefix();
      boolean _startsWith = _string.startsWith(_prefix);
      if (_startsWith) {
        String _string_1 = command.toString();
        ICompletionProposal _createCompletionProposal = this.createCompletionProposal(_string_1, context);
        acceptor.accept(_createCompletionProposal);
      }
    }
  }
}
